<head>
    <title>{$title}</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            background-image: url({if $background_image neq ''}"{$background_image}" {else}"{$puq_get_before_path_admin}/modules/addons/puq_customization/extensions/MaintenanceMode/templates/img/mountain-3-color.png"{/if});
            background-size: cover;
            background-position: center;
            font-size: 2em;
        }

        .container {
            display: flex;
            flex-direction: row;
            height: 100%;
        }

        .section {
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            flex-direction: column;
        }

        .section1 {
            background-color: rgba(0, 0, 0, 0.5);
            backdrop-filter: blur(5px);
            flex-basis: 33.33%;
            font-size: 2vw;
            height: 100%;
        }

        img {
            margin-top: 20vw;
            width: auto;
            height: 3em;
        }

        h1 {
            font-size: 2em;
            margin-top: 0;
            color: aliceblue;
            text-align: center;
        }

        h2 {
            font-size: 1em;
            margin-top: -2vw;
            margin-bottom: 20vw;
            color: aliceblue;
            text-align: center;
        }

        .section2 {
            flex-basis: 66.67%;
            font-size: 2vw;
            height: 100%;
        }

        .puq_timer {
            display: flex;
            flex-direction: column;
            text-align: center;
            color: aliceblue;
        }

        .puq_timer_items {
            display: flex;
            letter-spacing: 0.05em;
            font-size: 4em;
            padding: 5px 0;
        }

        .puq_timer_item {
            position: relative;
            text-align: center;
        }

        .puq_timer_item::before {
            content: attr(data-title);
            display: block;
            position: absolute;
            left: 50%;
            bottom: -13px;
            transform: translateX(-50%);
            font-size: 0.3em;
            letter-spacing: 0.1em;
            padding: 30px 0 0;
        }

        .puq_timer_result {
            text-align: center;
            padding: 10px;
            font-weight: bold;
            font-size: 1em;
            letter-spacing: 0.1em;
        }

        @media only screen and (orientation: portrait) {
            body {
                font-size: 4vw;
            }

            .container {
                display: flex;
                flex-direction: column;
            }

            img {
                margin-top: 2em;
                font-size: 2em;
            }

            h1 {
                font-size: 6em;
            }

            h2 {
                font-size: 2em;
                margin-bottom: 2em;
            }

            .puq_timer {
                font-size: 1.5em;
            }
        }
    </style>
</head>
<body>
<div class="container">
    <div class="section section1">
        {if $logo neq ''}
    <img src="{$logo}" class="logo" alt="Logo">
        {/if}<br>
        <h1 class="title">{$title}</h1><br>
        <h2 class="subtitle">{$text}</h2>
    </div>
    <div class="section section2">
        {if $enabled_counter eq 'on'}
            {include file='templates/timer.tpl'}
        {/if}
    </div>
</div>
</body>
