<style>

    :root {
        --puq-size-coefficient: 1;
    }

    .{$name}-{$id} {
    {if $data['margin_top'] neq ''}
        padding-top: {$data['margin_top']};
    {/if}
        padding-left: unset;
        padding-right: unset;
        padding-bottom: unset;
        padding-top: unset;
        height: auto;
        min-height: 400px;
        z-index: 0;
    }

    .{$name}-{$id}-content {
    {if $data['disable_background'] eq ''}
        z-index: 1;
    {/if}
        display: none;
    }

    .{$name}-{$id}-container,
    .{$name}-{$id}-content.{$name}-{$id}-content-show {
        display: grid;
        grid-template-columns: auto auto auto;
        justify-content: center;
        align-items: center;
        animation: {$name}-{$id}-fade-in 1.3s;
    }

    .{$name}-{$id}-content-header {
        grid-column: 1 / -1;
        margin: 10px;
        padding: 20px;
    }

    .{$name}-{$id}-content-description {
        padding-left: 40px;
        padding-right: 40px;
        text-align: left;
        max-width: 900px;
    }

    .{$name}-{$id}-content-image {
        justify-self: center;
        align-self: center;
        padding-left: 5px;
        padding-right: 5px;
        max-height: 450px;
        max-width: 450px;
    }

    .{$name}-{$id}-content-image img {
        width: 100%;
    }

    .{$name}-{$id}-navs {
        z-index: 5;
        display: flex;
        justify-content: space-around;
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
    }

    .{$name}-{$id}-navs::before {
        content: "";
        position: absolute;
        width: 100%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        border-top: 1px solid {$data['background_color']};
        filter: invert(1);
        pointer-events: none;
    }

    .{$name}-{$id}-nav {
        position: relative;
        cursor: pointer;
        font-style: normal;
        font-weight: 600;
        font-size: 20px;
        transition: border-top 0.3s ease-out, color 0.3s ease-out, padding 0.3s ease-out;
        border-top: 4px solid transparent;
        padding: 25px;
    }

    .{$name}-{$id}-nav:hover {
        padding-top: 15px;
    }

    .{$name}-{$id}-nav::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        border-top: 4px solid {$data['background_color']};
        filter: invert(1);
        pointer-events: none;
        opacity: 0;
        transition: opacity 0.3s ease-out;
    }

    .{$name}-{$id}-nav:hover::before {
        opacity: 1;
    }

    .{$name}-{$id}-nav-show::before {
        opacity: 1;
    }

    .{$name}-{$id}-content-description-button{
        padding: 10px 20px;
        text-align: right;
    }

    .{$name}-{$id}-content-description-button a{
        padding: 10px 40px;
        font-size: 16px;
        margin: 6px;
        cursor: pointer;
        transition: all 0.2s ease-in-out;
        border-radius: 5px;
        width: 100%;
        text-decoration: none;
        font-weight: bold;
    }

    .{$name}-{$id}-content-description-button a:hover{
        filter: invert(1);
    }

    @keyframes {$name}-{$id}-fade-in {
        from { opacity: 0; }
        to { opacity: 1; }
    }

    @media screen and (max-width: 1199px) {
        :root {
            --puq-size-coefficient: 0.9;
        }

        .{$name}-{$id}-content-image {
            max-height: 400px;
            max-width: 400px;
        }
    }

    @media screen and (max-width: 991px) {
        :root {
            --puq-size-coefficient: 0.8;
        }

        .{$name}-{$id}-content-image {
            display: none;
        }

        .{$name}-{$id}-nav {
            font-size: 12px;
            padding-top: 14px;
            padding-bottom: 8px;
            padding-left: 3px;
            padding-right: 3px;
        }

        .{$name}-{$id}-nav:hover {
            padding-top: 10px;
        }
    }

    @media screen and (max-width: 767px) {
        :root {
            --puq-size-coefficient: 0.7;
        }
    }

    {if $data['disable_background'] neq ''}
    {$i = 1}
    {foreach $data['members'] as $member}
    .{$name}-{$id}-content-{$i}-background-cover {
    {if $member['member_background_img'] neq ''}
        z-index: -1;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background: rgba(0, 0, 0, 0.8);
    {/if}
    }

    .{$name}-{$id}-content-{$i}-background {
        z-index: -2;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background-color: {$member['member_background_color']};
    {if !$data['disable_background_radius_top']}
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    {/if}
    {if !$data['disable_background_radius_bottom']}
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
    {/if}
    {if $member['member_background_img'] neq ''}
        background-size: cover;
        background-image: url('{$member['member_background_img']}');
    {/if}
    }
    {$i = $i + 1}
    {/foreach}
    {/if}
</style>

<div class="{$name}-{$id}">
    {if $data['background_image']}
        <div class="{$name}-{$id}-cover"></div>
    {/if}
    <div class="{$name}-{$id}-container">
        {$i = 1}
        {foreach $data['members'] as $member}
            <div class="{$name}-{$id}-content" id="{$name}-{$id}-content-{$i}">
                <div class="{$name}-{$id}-content-{$i}-background"></div>
                <div class="{$name}-{$id}-content-{$i}-background-cover"></div>

                <div class="{$name}-{$id}-content-header" style="color: {$member['member_header_color']};font-size:  calc({$member['member_header_size']} * var(--puq-size-coefficient));font-weight: bold;text-align: center;">{$member['member_header']}</div>
                <div class="{$name}-{$id}-content-description">
                    <span style="color: {$member['member_description_color']};font-size: calc({$member['member_description_size']} * var(--puq-size-coefficient));font-weight: bold;text-align: center;">{$member['member_description']}</span>
                    {if $member['member_button_text']}
                        <div class="{$name}-{$id}-content-description-button"><a href="{$member['member_button_url']}" {if $member['mmnew_tab']}target="_blank"{/if} style="color: {$member['member_button_color_text']};background-color: {$member['member_button_color']};border: 1.5px solid {$member['member_button_color_border']};">{$member['member_button_text']}</a></div>
                    {/if}
                </div>
                {if $member['member_img']}
                    <div class="{$name}-{$id}-content-image">
                        <img title="{$member['member_header']}" src="{$member['member_img']}" alt=""/>
                    </div>
                {/if}
            </div>
            {$i = $i + 1}
        {/foreach}
        {if !$data['disable_nav_button']}
        <div class="{$name}-{$id}-navs">
            {$i = 1}
            {foreach $data['members'] as $member}
                <div class="{$name}-{$id}-nav" onclick="openTab{$id}('{$name}-{$id}-content-{$i}')" style="color: {$member['member_header_color']};" id="{$name}-{$id}-content-{$i}-nav">{$member['member_header']}</div>
                {$i = $i +1}
            {/foreach}
        </div>
        {/if}
    </div>
</div>

<script>
    window.onload = function() {
        window.scrollTo(0, 0);
    };
    const updateDivHeight = function () {
        if (window.scrollY === 0) {
            const container{$id} = document.querySelector(".{$name}-{$id}-container");
            var topOffset{$id} = container{$id}.getBoundingClientRect().top;
            var windowHeight = window.innerHeight;
            container{$id}.style.height = (windowHeight - topOffset{$id}) + 'px';
        }
    };
    if (window.scrollY === 0) {
        document.addEventListener("DOMContentLoaded", function () {
            updateDivHeight();
        });
        window.addEventListener("load", function () {
            updateDivHeight();
        });
        window.addEventListener("resize", function () {
            updateDivHeight();
        });
    }
</script>

<script>
    document.addEventListener("DOMContentLoaded", function() {
        document.getElementById("{$name}-{$id}-content-1").classList.add("{$name}-{$id}-content-show");
        document.getElementById("{$name}-{$id}-content-1-nav").classList.add("{$name}-{$id}-nav-show");
    });

    function openTab{$id}(tabId{$id}) {
        const tabContents{$id} = document.getElementsByClassName("{$name}-{$id}-content");
        const tabNav{$id} = document.getElementsByClassName("{$name}-{$id}-nav");


        for (let i = 0; i < tabContents{$id}.length; i++) {
            tabContents{$id}[i].classList.remove("{$name}-{$id}-content-show");
            if(tabNav{$id}[i]) {
                tabNav{$id}[i].classList.remove("{$name}-{$id}-nav-show");
            }
        }

        const tabContentToShow{$id} = document.getElementById(tabId{$id});
        if (tabContentToShow{$id}) {
            tabContentToShow{$id}.classList.add("{$name}-{$id}-content-show");
        }

        const tabNavToShow{$id} = document.getElementById(tabId{$id}+"-nav");
        if (tabNavToShow{$id}) {
            tabNavToShow{$id}.classList.add("{$name}-{$id}-nav-show");
        }
    }
</script>
